---

- name: Set default facts for K8S 
  ansible.builtin.set_fact:
    k8s_config: "{{ K8S_KUBECONFIG_PATH }}/{{ inv_ml.ns_kubeconfig }}"
    k8s_context: "{{ inv_k8s.config.context }}"
    k8s_namespace: "{{ inv_ml.ns_name }}"

- name: Ensure temp directory exists
  file:
    path: /tmp/udp/monitoring/futr-hub-alerting-dashboards/
    recurse: yes
    state: directory
    mode: '0755'

- name: Copy Dashboard Folder
  copy:
    src: 17_monitoring_alerting/
    dest: /tmp/udp/monitoring/futr-hub-alerting-dashboards/
    mode: '0666'

- name: Create a folder
  community.grafana.grafana_folder:
    url: "https://monitoring.{{ DOMAIN }}"
    url_username: "{{ inv_ml.grafana.admin }}"
    url_password: "{{ inv_ml.grafana.password }}"
    title: "FUTR-HUB"
    state: present

- name: (Re-)Import Grafana Dashboards
  community.grafana.grafana_dashboard:
    grafana_url: "https://monitoring.{{ DOMAIN }}"
    url_username: "{{ inv_ml.grafana.admin }}"
    url_password: "{{ inv_ml.grafana.password }}"
    folder: "FUTR-HUB"
    state: present
    commit_message: Updated by ansible
    overwrite: yes
    path: "{{ item }}"
  register: ml_grafana_import
  retries: 5
  delay: 5
  until: ml_grafana_import is succeeded
  with_fileglob:
    - "/tmp/udp/monitoring/futr-hub-alerting-dashboards/*.json"
